A graph of the shortest path from start_node to end_node.
Authorization: Bearer $JWT_TOKEN
Prefer header, used to specify a custom timeout in seconds using the wait parameter as per RFC7240. Passing in wait=-1 bypasses all timeout limits when the feature is enabled.
^wait=(-1|[0-9]+)$The start node objectId
The end node objectId
Specific relationship kinds to include in the pathfinding search. If the kinds are not valid kinds, the query will error. The contains predicate checks a property against the values in a given comma separated list.
in checks if the property matches an element in the given comma separated list.
in:Contains,GetChangesAll,MemberOfnin checks if the property does not match an element in the given comma separated list.
nin:LocalToComputer,MemberOfLocalGroup^(in|nin):(\w+)(,\s*\w+)*$Whether or not to only include traversable kinds. If true and no relationship_kinds are specified, all traversable kinds will be searched. If true, and relationship_kinds param includes non-traversable kinds, the non-traversable kinds will be excluded from the path search. If false or omitted, all kinds will be searched.
A graph of the shortest path from start_node to end_node.